:root{
    --main-text-color: rgb(255,255,255);
}

body {
    color: white;
    margin: 0;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 1.5rem;
    /*kaasislekkerkutenpizzaisookheellekkernomatterwhatyousay*/
    /* overflow: hidden; */
}

#nav_bar {
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
    z-index: 2;
    width: 100vw;
    /* height: 70px; */
    height: 8vh;
    background-color: rgb(29, 28, 28);
    /* border: 1px solid black; */
    font-size: xx-large;
    /* border-bottom: solid 1px black; */
}

a {
    color: white;
    font-weight: bold;
}

#titel_navbar {
    margin-left: auto;
    margin-right: auto;
}

#menu {
    position: absolute;
    width: 40px;
    height: 40px;
    margin-left: 30px;
    display: flex;
    flex-direction: column;
    gap: 7px;
    justify-content: center;
    cursor: pointer;
}

.menu_bar {
    width: 100%;
    height: 7px;
    background-color: rgb(121, 121, 121);;
}

#bar_screen {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
    
    margin-top: 10px;
    margin-left: 5px;
    width: 100%;
    height: 230px;
    display: none;
    padding-top: 10px;
    border-radius: 15px;
}

#bar_screentext {
    color: white;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    font-size: 30px;
    background: linear-gradient(-90deg, rgb(5, 5, 5) 10%, rgb(5, 5, 63) 60%);
    border: 1px solid rgba(171, 161, 161, 0.25);
    border-radius: 15px;

    a {
        text-decoration: none;
    }

    a:hover {
        text-decoration: underline;
    }
}

#bar1 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

#bar2 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

#bar3 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

.main_layout {
    display: flex;
    flex-direction: row;
}

.left_bar {
    width: 15vw;
    height: 92vh;
    border: 1px solid black;
    background: linear-gradient(-90deg, rgb(5, 5, 5) 10%, rgb(5, 5, 63) 60%);
    /* background-color: rgb(5, 5, 63); */
}

.middle_window {
    overflow: scroll;
    scrollbar-width: none;
    width: 70vw;
    height: 92vh;
    border: 1px solid black;
    background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
}

#title {
    text-align: center;
}

#tekst1_0 {
    justify-self: center;
    width: 56vw;
    height: auto;
    text-align: center;
}

.white1_0 {
    /* ik ben een wit blokje hihihi */
    /* feitje: sommige witte blokjes zijn leugenaars */
    background-color: black;
    justify-self: center;
    width: 66vw;
    height: auto;
    opacity: 0%;
}
.tekst_with_pic1_0 {
    display: flex;
    justify-self: center;
    justify-content: center;
    width: 66vw;
    height: auto;
    margin-top: 300px;
}

.pic1_0 {
    width: 54vw;
    height: 50vh;
    justify-self: center;
    background-color: white;
    color: black;
}

#voor_info_page {
    text-align: center;
}

.white1_1 {
    /* ik ben ook een wit blokje hihihi */
    background-color: black;
    justify-self: center;
    width: 66vw;
    height: auto;
    opacity: 0%;
}



.right_bar {
    width: 15vw;
    height: 92vh;
    border: 1px solid black;
    /* background-color: red; */
    background: linear-gradient(90deg, rgb(5, 5, 5) 10%, #72090d 60%);
}




/* animaties menu van navigatiebar */

@keyframes bar_on1 {
    0% {
        rotate: 0;
        translate: 0px 0px;
    }

    100% {
        rotate: 45deg;
        translate: 0px 16px;
    }
}

@keyframes bar_on2 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes bar_on3 {
    0% {
        rotate: 0;
        translate: 0px 0px;
    }

    100% {
        rotate: -45deg;
        translate: 0px -12px;
    }
}



@keyframes bar_off1 {
    0% {
        rotate: 45deg;
        translate: 0px 16px;
    }

    100% {
        rotate: 0deg;
        translate: 0px 0px;
    }
}

@keyframes bar_off2 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes bar_off3 {
    0% {
        rotate: -45deg;
        translate: 0px -12px;
    }

    100% {
        rotate: 0deg;
        translate: 0px 0px;
    }
}



.star{
    position: absolute;
    aspect-ratio: 1;
    background-color: white;
    border-radius: 50%;
    z-index: 0;
}

.circle {
  position: relative;
  justify-self: center;
  margin-bottom: 1% ;
  width: 300px;
  height: 300px;
  animation: spin 10s linear infinite;
}

.stickman {
  position: absolute;
  width: 20px;
  height: 60px;
  
}

.stickman::before {
  content: "";
  position: absolute;
  top: -20px;
  left: 5px;
  width: 10px;
  height: 10px;
  background: white;
  border-radius: 50%;
}

.anim_two {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 46vw;
    height: 41vh;
    margin-top: 15px;
    color: black;
    background-color: transparent;
    background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
    border: 1px solid gray;
    border-radius: 15px;
    /* missch. border radius */
}

.stickman::after {
  content: "";
  position: absolute;
  top: 0;
  left: 9px;
  width: 2px;
  height: 40px;
  background: white;
}

.stickman {
  border-top: 2px solid white;
  transform-origin: center;
}


.s1 { top: 0; left: 140px; transform: rotate(0deg); }
.s2 { top: 140px; right: 0; transform: rotate(90deg); }
.s3 { bottom: 0; left: 140px; transform: rotate(180deg); }
.s4 { top: 140px; left: 0; transform: rotate(270deg); }


@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}